This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 816063 - [abrt] calibre-0.8.33-2.fc16: pdftohtml.py:78:pdftohtml:DRMError
[abrt] calibre-0.8.33-2.fc16: pdftohtml.py:78:pdftohtml:DRMError
Status: CLOSED CANTFIX
Product: Fedora
Classification: Fedora
Component: calibre (Show other bugs)
16
i686 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Kevin Fenzi
Fedora Extras Quality Assurance
abrt_hash:3a416ad2bafc4ea053394dd85b9...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-04-25 03:37 EDT by Gianluca
Modified: 2012-04-25 09:48 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-04-25 09:48:42 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Gianluca 2012-04-25 03:37:26 EDT
libreport version: 2.0.8
abrt_version:   2.0.7
cmdline:        python2 /usr/bin/calibre-parallel
comment:        during pdf to mobi conversion
executable:     /usr/bin/calibre-parallel
kernel:         3.3.2-1.fc16.i686
reason:         pdftohtml.py:78:pdftohtml:DRMError
time:           Wed 25 Apr 2012 12:41:52 AM CEST
uid:            1000
username:       gianluca

backtrace:
:pdftohtml.py:78:pdftohtml:DRMError
:
:Traceback (most recent call last):
:  File "/usr/bin/calibre-parallel", line 19, in <module>
:    sys.exit(main())
:  File "/usr/lib/calibre/calibre/utils/ipc/worker.py", line 186, in main
:    result = func(*args, **kwargs)
:  File "/usr/lib/calibre/calibre/gui2/convert/gui_conversion.py", line 31, in gui_convert_override
:    override_input_metadata=True)
:  File "/usr/lib/calibre/calibre/gui2/convert/gui_conversion.py", line 25, in gui_convert
:    plumber.run()
:  File "/usr/lib/calibre/calibre/ebooks/conversion/plumber.py", line 959, in run
:    accelerators, tdir)
:  File "/usr/lib/calibre/calibre/customize/conversion.py", line 204, in __call__
:    log, accelerators)
:  File "/usr/lib/calibre/calibre/ebooks/pdf/input.py", line 51, in convert
:    pdftohtml(os.getcwd(), stream.name, options.no_images)
:  File "/usr/lib/calibre/calibre/ebooks/pdf/pdftohtml.py", line 78, in pdftohtml
:    raise DRMError()
:DRMError
:
:Local variables in innermost frame:
:index: '/tmp/calibre_0.8.33_tmp_C4O5EV/Y59F1G_plumber/index.html'
:pdf_path: '/tmp/calibre_0.8.33_tmp_C4O5EV/_iXJBb.pdf'
:no_images: False
:cmd: ['pdftohtml', '-enc', 'UTF-8', '-noframes', '-p', '-nomerge', '-nodrm', '-q', '/tmp/calibre_0.8.33_tmp_C4O5EV/_iXJBb.pdf', 'index.html']
:ret: 0
:logf: <calibre.ptempfile.PersistentTemporaryFile object at 0x954896c>
:p: <subprocess.Popen object at 0x954802c>
:output_dir: '/tmp/calibre_0.8.33_tmp_C4O5EV/Y59F1G_plumber'
:out: ''

smolt_data:
:
:
:General
:=================================
:UUID: 47224feb-c204-406e-95d1-66fb452dfc0f
:OS: Fedora release 16 (Verne)
:Default run level: Unknown
:Language: en_US.UTF-8
:Platform: i686
:BogoMIPS: 3192.53
:CPU Vendor: GenuineIntel
:CPU Model: Intel(R) Atom(TM) CPU  330   @ 1.60GHz
:CPU Stepping: 2
:CPU Family: 6
:CPU Model Num: 28
:Number of CPUs: 2
:CPU Speed: 1599
:System Memory: 2008
:System Swap: 2499
:Vendor: Unknown
:System:  
:Form factor: Desktop
:Kernel: 3.3.2-1.fc16.i686
:SELinux Enabled: 1
:SELinux Policy: targeted
:SELinux Enforce: Enforcing
:MythTV Remote: Unknown
:MythTV Role: Unknown
:MythTV Theme: Unknown
:MythTV Plugin: 
:MythTV Tuner: -1
:
:
:Devices
:=================================
:(32902:10098:32902:17996) pci, i915, VIDEO, 82945G/GZ Integrated Graphics Controller
:(32902:10198:0:0) pci, pcieport, PCI/PCI, N10/ICH 7 Family PCI Express Port 4
:(32902:10192:0:0) pci, pcieport, PCI/PCI, N10/ICH 7 Family PCI Express Port 1
:(32902:10168:32902:17996) pci, None, PCI/ISA, 82801GB/GR (ICH7 Family) LPC Interface Bridge
:(4332:33128:32902:1) pci, r8169, ETHERNET, RTL8111/8168B PCI Express Gigabit Ethernet controller
:(32902:10200:32902:54788) pci, snd_hda_intel, MULTIMEDIA, N10/ICH 7 Family High Definition Audio Controller
:(32902:10207:32902:17996) pci, ata_piix, STORAGE, 82801G (ICH7 Family) IDE Controller
:(32902:10196:0:0) pci, pcieport, PCI/PCI, N10/ICH 7 Family PCI Express Port 3
:(32902:10202:32902:17996) pci, None, SERIAL, N10/ICH 7 Family SMBus Controller
:(32902:9294:32902:17996) pci, None, PCI/PCI, 82801 PCI Bridge
:(32902:10176:32902:17996) pci, ata_piix, STORAGE, N10/ICH7 Family SATA IDE Controller
:(32902:10185:32902:17996) pci, uhci_hcd, USB, N10/ICH 7 Family USB UHCI Controller #2
:(32902:10184:32902:17996) pci, uhci_hcd, USB, N10/ICH 7 Family USB UHCI Controller #1
:(32902:10096:32902:17996) pci, agpgart-intel, HOST/PCI, 82945G/GZ/P/PL Memory Controller Hub
:(32902:10186:32902:17996) pci, uhci_hcd, USB, N10/ICH 7 Family USB UHCI Controller #3
:(32902:10187:32902:17996) pci, uhci_hcd, USB, N10/ICH 7 Family USB UHCI Controller #4
:(32902:10188:32902:17996) pci, ehci_hcd, USB, N10/ICH 7 Family USB2 EHCI Controller
:
:
:Filesystem Information
:=================================
:device mtpt type bsize frsize blocks bfree bavail file ffree favail
:-------------------------------------------------------------------
:/dev/sda1 / ext4 4096 4096 14709558 12768888 12621667 3686400 3397163 3397163
:/dev/sda3 /home ext4 4096 4096 23669093 12529942 11344662 5931008 5872378 5872378
:/dev/sdb1 WITHHELD ext4 4096 4096 243946291 15111646 2902149 61054976 61005048 61005048
:/dev/sdc1 WITHHELD fuseblk 4096 4096 122096000 11775231 11775231 47199228 47111121 47111121
:
Comment 1 Kevin Fenzi 2012-04-25 09:48:42 EDT
You are trying to manipulate a DRM encumbered pdf. Calibre does not have any ability to do so. 

Please try again with a non DRMed pdf. Sorry.

Note You need to log in before you can comment on or make changes to this bug.